Bug 905421 - nfs.export-volumes tunable does not show up as "Options Reconfigured" for volume created after the tunable has been changed
Summary: nfs.export-volumes tunable does not show up as "Options Reconfigured" for vol...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs   
(Show other bugs)
Version: 2.0
Hardware: Unspecified Unspecified
low
low
Target Milestone: ---
: ---
Assignee: rjoseph
QA Contact: Saurabh
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-29 12:18 UTC by Patric Uebele
Modified: 2016-01-19 06:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-23 07:36:48 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patric Uebele 2013-01-29 12:18:44 UTC
Description of problem: 
When you set the tunable nfs.export-volumes to, it affects all volumes, and is displayed under "Options Reconfigured" in a gluster volume info. But when creating a new volume, it does not show up under "Options Reconfigured" despite being active (i.e. the newly created volume is not NFS-exported).


Version-Release number of selected component (if applicable): 2.0 Update 3


How reproducible: Reproducible


Steps to Reproduce:
1. 
[root@sarhs02 swift]# gluster volume set rhev_vol nfs.export-volumes off

2.
[root@sarhs02 swift]# gluster volume info rhev_vol

Volume Name: rhev_vol
Type: Replicate
Volume ID: db3b9f74-7122-471b-8d91-42223fc33c72
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: sarhs01:/brick_rhev
Brick2: sarhs03:/brick_rhev
Options Reconfigured:
nfs.export-dir: /lib-exports,/lib-ovirt-engine,/lib-pgsql,/share-jasperreports-server-pro,/share-ovirt-engine,/share-ovirt-engine-dwh,/share-ovirt-engine-reports
nfs.export-volumes: off

3. 
[root@sarhs02 swift]# gluster volume create testvol replica 2 sarhs02:/brick1 sarhs04:/brick1
Creation of volume testvol has been successful. Please start the volume to access data.
[root@sarhs02 swift]# gluster volume start testvol
Starting volume testvol has been successful
[root@sarhs02 swift]# 
 
4. 
[root@client1 Demo_Scripts]# showmount -e sarhs02
Export list for sarhs02:
/rhev_vol/lib-exports                    *
/rhev_vol/lib-ovirt-engine               *
/rhev_vol/lib-pgsql                      *
/rhev_vol/share-jasperreports-server-pro *
/rhev_vol/share-ovirt-engine             *
/rhev_vol/share-ovirt-engine-dwh         *
/rhev_vol/share-ovirt-engine-reports     *

  
Actual results:
[root@sarhs02 swift]# gluster volume info testvol

Volume Name: testvol
Type: Replicate
Volume ID: 09cb994d-06db-4b8a-98ae-c06e043686c9
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: sarhs02:/brick1
Brick2: sarhs04:/brick1


Expected results:
....
Options Reconfigured:
nfs.export-volumes: off

Additional info:

Comment 2 Scott Haines 2013-02-06 20:08:13 UTC
Per Feb-06 bug triage meeting, targeting for 2.1.0.

Comment 3 Scott Haines 2013-02-06 20:11:08 UTC
Per Feb-06 bug triage meeting, targeting for 2.1.0.

Comment 5 Vivek Agarwal 2015-03-23 07:36:48 UTC
The product version of Red Hat Storage on which this issue was reported has reached End Of Life (EOL) [1], hence this bug report is being closed. If the issue is still observed on a current version of Red Hat Storage, please file a new bug report on the current version.







[1] https://rhn.redhat.com/errata/RHSA-2014-0821.html

Comment 6 Vivek Agarwal 2015-03-23 07:39:10 UTC
The product version of Red Hat Storage on which this issue was reported has reached End Of Life (EOL) [1], hence this bug report is being closed. If the issue is still observed on a current version of Red Hat Storage, please file a new bug report on the current version.







[1] https://rhn.redhat.com/errata/RHSA-2014-0821.html


Note You need to log in before you can comment on or make changes to this bug.